# Create a magic link Endpoint: POST /api/v1/magic_links Version: 0.0.1 Security: user_session, form_session, component_session, component_token, api_token ## Request fields (application/json): - `user_email` (string) - `user_external_id` (string) Custom identifier provided upon user creation. Can be provided with or without user_email. If user_email is omitted, however, this field must uniquely identify a user. An error will be returned if multiple users hold the same external_id. - `expire_in` (integer, required) a number between 1 and 86400 - `redirect_path` (any) ## Response 200 fields (application/json): - `url` (string, required) a string matching the pattern ^https?:\/\/.+ - `expire_at` (string, required) - `redirect_path_deprecation_deadline` (string, required) The date and time when the redirect_path parameter will become invalid and stop working - `redirect_path_deprecation_note` (string, required) Information about what to use instead of the deprecated redirect_path parameter ## Response 401 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Unauthorized" ## Response 403 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Forbidden" ## Response 404 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "ResourceNotFoundError"